---
- name: Installing required packages
  become: true
  apt:
    update_cache: true
    state: present
    pkg:
      - apt-transport-https
      - ca-certificates
      - curl
      - gnupg-agent
      - software-properties-common

- name: Add Docker GPG apt Key
  become: true
  apt_key:
    url: https://download.docker.com/linux/ubuntu/gpg
    state: present

- name: Add Docker Repository
  become: true
  apt_repository:
    repo: deb [arch=amd64] https://download.docker.com/linux/ubuntu {{ ansible_distribution_release | lower }} stable
    state: present

- name: Installing Docker
  become: true
  apt:
    update_cache: true
    state: latest
    pkg:
      - docker-ce
      - docker-ce-cli
      - containerd.io

- name: Add user to docker group
  become: true
  user:
    name: "{{ ansible_user_id }}"
    groups: docker
    append: yes
  register: add_to_docker_group_result
